%define aurox_ver 10.1
%define rel 2

%define release_name Quicksilver

Summary: Aurox release file
Name: aurox-release
Version: %{aurox_ver}
Release: %{aurox_ver}.aur.%{rel}
Epoch: 1
Copyright: GPL
Group: System Environment/Base
BuildArchitectures: noarch
BuildRoot: /var/tmp/rel-root
Provides: redhat-release
Provides: fedora-release = 2
Obsoletes: redhat-release
Obsoletes: rawhide-release
Obsoletes: fedora-release
Obsoletes: rolling-release
# Packages removed from distro:
Obsoletes: jdkgcj

#we're no longer obsolating it, because this packages
## will go back into Aurox
#Obsoletes: up2date-gnome
#Obsoletes: rhn-applet

# Fix missing perl obsoletes
Obsoletes: perl-CGI
Obsoletes: perl-CPAN
Obsoletes: perl-DB_File

%description
Aurox release file

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Aurox Linux release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/aurox-release
ln -sf /etc/aurox-release $RPM_BUILD_ROOT/etc/redhat-release
echo "Aurox Linux release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
echo >> $RPM_BUILD_ROOT/etc/issue
echo "Aurox Linux release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/issue.net
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue.net

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0644,root,root) /etc/aurox-release
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/issue
%attr(0644,root,root) /etc/issue.net
